# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::StencilMask Class Reference

Wraps the OpenGL function glStencilMask() and glStencilMaskSeparate(), see also http://www.opengl.org/sdk/docs/man/xhtml/glStencilMask.xml and http://www.opengl.org/sdk/docs/man/xhtml/glStencilMaskSeparate.xml for more information. More...

`#include <Shader.hpp>`

Inheritance diagram for vl::StencilMask:

List of all members.

## Public Member Functions
| StencilMask (unsigned int mask=~(unsigned int) 0)
virtual const char * | className ()
| Returns the name of the class.
virtual ERenderState | type () const
virtual void | apply (const Camera *) const
void | set (EPolygonFace face, unsigned int mask)
unsigned int | mask_Front () const
unsigned int | mask_Back () const
## Protected Attributes
unsigned int | mMask_Front
unsigned int | mMask_Back

## Detailed Description

Wraps the OpenGL function glStencilMask() and glStencilMaskSeparate(), see also http://www.opengl.org/sdk/docs/man/xhtml/glStencilMask.xml and http://www.opengl.org/sdk/docs/man/xhtml/glStencilMaskSeparate.xml for more information.

See also:
  Shader, Effect, Actor, StencilOp, StencilFunc, vl::EN_STENCIL_TEST

## Constructor & Destructor Documentation

vl::StencilMask::StencilMask | ( | unsigned int | mask = `~(unsigned int)0` | ) | `[inline]`

## Member Function Documentation

virtual const char* vl::StencilMask::className | ( |  | ) | `[inline, virtual]`

Returns the name of the class.

Reimplemented from vl::RenderState.

virtual ERenderState vl::StencilMask::type | ( |  | ) | const`[inline, virtual]`

Reimplemented from vl::RenderState.

void StencilMask::apply | ( | const Camera * |  | ) | const`[virtual]`

Implements vl::RenderState.

void vl::StencilMask::set | ( | EPolygonFace | face,
|  | unsigned int | mask |
| ) |  |  | `[inline]`

unsigned int vl::StencilMask::mask_Front | ( |  | ) | const`[inline]`

unsigned int vl::StencilMask::mask_Back | ( |  | ) | const`[inline]`

## Member Data Documentation

unsigned int vl::StencilMask::mMask_Front`[protected]`

unsigned int vl::StencilMask::mMask_Back`[protected]`

The documentation for this class was generated from the following files:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.hpp
- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/Shader.cpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:29:05 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.